Bug 394787 - Mouse flat profile does not work
Summary: Mouse flat profile does not work
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Unclassified
Component: kcm_mouse (show other bugs)
Version: 5.12.90
Platform: Archlinux Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Roman Gilg
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-28 10:07 UTC by tromzy
Modified: 2018-09-18 20:05 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tromzy 2018-05-28 10:07:04 UTC
On Plasma 5.13 beta, on Wayland, the flat acceleration profile for the mouse does not work. I can select it in the mouse KCM module, but when I click "Apply", it selects "Adaptive" again.
Comment 1 Matej Mrenica 2018-05-28 11:32:39 UTC
Can confirm on Arch
Comment 2 Roman Gilg 2018-06-01 13:52:59 UTC
Thank you both for reporting and confirming. Seems to be a simple copy-paste issue: https://phabricator.kde.org/D13270
Comment 3 Roman Gilg 2018-06-01 14:08:40 UTC
Git commit 7a03d8d3fab05065f32501d51518c5b80204901c by Roman Gilg.
Committed on 01/06/2018 at 14:08.
Pushed by romangilg into branch 'Plasma/5.13'.

[Mouse KCM] Fix writing selected profile value

Summary:
Wrote the default value resulting in no change at all.

Test Plan: Manually

Reviewers: #plasma, davidedmundson

Reviewed By: #plasma, davidedmundson

Subscribers: plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D13270

M  +2    -2    kcms/mouse/backends/kwin_wl/kwin_wl_device.cpp

https://commits.kde.org/plasma-desktop/7a03d8d3fab05065f32501d51518c5b80204901c